window.onload = init;
window.onresize = onResizeEvent;

function init() {
	window.menu.hideSoftkeys();
	widget.setNavigationEnabled(false);
	widget.setDisplayLandscape();

    detectResolution();
}

function activateFullScreenView() {
    setStyleSheet("Full Screen");
}

function activateHomeScreenView() {
    setStyleSheet("Home Screen");
}

function onExit() {
    window.close();
}

function detectResolution() {
    var screenHeight = screen.height;
    var windowHeight = window.innerHeight;
      
    if ( windowHeight < (0.5 * screenHeight) ) {
        activateHomeScreenView();
    } else {
        activateFullScreenView();
    }
}

function ko(a)
{
widget.openApplication(0x10008D39,a);
}

function onResizeEvent() {
	detectResolution();
}

function setStyleSheet(title) {
    var stylesheets = document.getElementsByTagName("link");
    for (var i = 0; i < stylesheets.length; i++) {
        var stylesheet = stylesheets[i];

        if (!stylesheet.getAttribute("title")) {
            continue;
        }

        if (stylesheet.getAttribute("title") != title) {
            stylesheet.disabled = true;
        } else {
            stylesheet.disabled = false;
        }
    }
}